﻿;-TOP

; ***************************************************************************
;
; Comment : EventDesigner - Event Form File
; Create  : 2019.09.08 16:21:17
; Update  : 2019.09.15 14:18:49
;
; ***************************************************************************

Procedure MyEventSizeWindow_WinStart()
  CompilerIf Defined(ResizeGadgetsWinStart, #PB_Procedure)
    ResizeGadgetsWinStart()
  CompilerEndIf
EndProcedure

; ----

Procedure MyEventCloseWindow_WinStart()
  CloseWindow(#WinStart)
EndProcedure

; ----

Procedure MyEventGadget_WinStart_CheckBox_ParendWindow()
  
  Select EventType()
    Case #PB_EventType_LeftClick
      commonProjectData\Switches\ParendWindow = GetGadgetState(#WinStart_CheckBox_ParendWindow)
      flagProjectDataSave = #False
      
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_WinStart_CheckBox_AutoPosition()
  
  Select EventType()
    Case #PB_EventType_LeftClick
      commonProjectData\Switches\AutoPosition = GetGadgetState(#WinStart_CheckBox_AutoPosition)
      flagProjectDataSave = #False
      
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_WinStart_CheckBox_MultiLanguage()
  
  Select EventType()
    Case #PB_EventType_LeftClick
      commonProjectData\Switches\Multilanguage = GetGadgetState(#WinStart_CheckBox_MultiLanguage)
      flagProjectDataSave = #False
      
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_WinStart_CheckBox_IncludeImages()
  
  Select EventType()
    Case #PB_EventType_LeftClick
      commonProjectData\Switches\IncludeImages = GetGadgetState(#WinStart_CheckBox_IncludeImages)
      commonProjectData\Switches\CopyImages = #False
      SetGadgetState(#WinStart_CheckBox_CopyImages, #False)
      flagProjectDataSave = #False
      
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_WinStart_CheckBox_CopyImages()
  
  Select EventType()
    Case #PB_EventType_LeftClick
      commonProjectData\Switches\CopyImages = GetGadgetState(#WinStart_CheckBox_CopyImages)
      commonProjectData\Switches\IncludeImages = #False
      SetGadgetState(#WinStart_CheckBox_IncludeImages, #False)
      flagProjectDataSave = #False
      
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_WinStart_CheckBox_MacMenuEvents()
  
  Select EventType()
    Case #PB_EventType_LeftClick
      commonProjectData\Switches\MacMenuEvents = GetGadgetState(#WinStart_CheckBox_MacMenuEvents)
      flagProjectDataSave = #False
      
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_WinStart_CheckBox_PrefixOff()
  
  Select EventType()
    Case #PB_EventType_LeftClick
      commonProjectData\Switches\PrefixOff = GetGadgetState(#WinStart_CheckBox_PrefixOff)
      flagProjectDataSave = #False
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_WinStart_CheckBox_CloseIDE()
  
  Select EventType()
    Case #PB_EventType_LeftClick
      commonProjectData\Switches\CloseIDE = GetGadgetState(#WinStart_CheckBox_CloseIDE)
      
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_WinStart_Button_Start()
  
  Select EventType()
    Case #PB_EventType_LeftClick
      If CountGadgetItems(#Main_Listview_Common) = 0
        ProcedureReturn 0
      EndIf
      guiListCommonGetList()
      If Not flagProjectDataSave
        If Not SaveProjectData(#True)
          ProcedureReturn 0
        EndIf
        StatusBarText(#Main_StatusBar, 0, "Project: " + commonProgramData\ProjectFile)
      EndIf
      CloseWindow(#WinStart)
      StartProcess()
  EndSelect
  
EndProcedure

; ----

; IDE Options = PureBasic 5.71 LTS (MacOS X - x64)
; CursorPosition = 145
; FirstLine = 113
; Folding = ---
; EnableXP