;-TOP

UsePNGImageDecoder()

LoadImage(#IconNew, "Icons/New.png")
LoadImage(#IconOpen, "Icons/Open.png")
LoadImage(#IconSave, "Icons/Save.png")
LoadImage(#IconSaveAs, "Icons/SaveAs.png")
LoadImage(#IconAdd, "Icons/Add.png")
LoadImage(#IconRemove, "Icons/Remove.png")
LoadImage(#IconFirst, "Icons/GoUp.png")
LoadImage(#IconStart, "Icons/Export.png")
LoadImage(#IconStop, "Icons/StopLoad.png")
LoadImage(#IconExit, "Icons/ExitDoor.png")
LoadImage(#IconPreference, "Icons/Preference.png")
LoadImage(#IconInformation, "Icons/Information.png")
LoadImage(#IconBook, "Icons/Book.png")

Procedure OpenMain()
  If OpenWindow(#Main, 236, 195, 800, 600, #PROGRAM, #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget | #PB_Window_SizeGadget | #PB_Window_TitleBar )
    ButtonGadget(#Command, 0, 0, 0, 0, "CMD")
    DisableGadget(#Command, #True)
    If CreateImageMenu(#MenuBar, WindowID(#Main))
      MenuTitle("&File")
      MenuItem(#Project_New, "Project &New", ImageID(#IconNew))
      MenuBar()
      MenuItem(#Project_Load, "Project &Load", ImageID(#IconOpen))
      MenuItem(#Project_Save, "Project &Save", ImageID(#IconSave))
      MenuItem(#Project_SaveAs, "Project Save &As", ImageID(#IconSaveAs))
      MenuBar()
      OpenSubMenu("&Preferences", ImageID(#IconPreference))
      MenuItem(#Menu_UserGadget, "User&Gadget", ImageID(#IconPreference))
      CloseSubMenu()
      MenuBar()
      MenuItem(#Exit, "E&xit", ImageID(#IconExit))
      MenuTitle("&Action")
      MenuItem(#Common_Add, "Form &Add", ImageID(#IconAdd))
      MenuBar()
      MenuItem(#Common_Remove, "Form &Remove", ImageID(#IconRemove))
      MenuItem(#Common_Parend, "Form as &First", ImageID(#IconFirst))
      MenuBar()
      MenuItem(#Start_Process, "&Start Process", ImageID(#IconStart))
      MenuItem(#Stop_Process, "S&top Process", ImageID(#IconStop))
      MenuTitle("Tools")
      MenuItem(#Tool_Save_MyAppData, "Save MacOS IDE-Tool &MyAppData", ImageID(#IconSaveAs))
      MenuTitle("&?")
      MenuItem(#Info, "&Info", ImageID(#IconInformation))
      MenuItem(#License, "&License", ImageID(#IconBook))
    EndIf
    
    If CreateToolBar(#Toolbar,WindowID(#Main))
      ToolBarSeparator()
      ToolBarImageButton(#Project_New, ImageID(#IconNew))
      ToolBarImageButton(#Project_Load, ImageID(#IconOpen))
      ToolBarImageButton(#Project_Save, ImageID(#IconSave))
      ToolBarSeparator()
      ToolBarImageButton(#Common_Add, ImageID(#IconAdd))
      ToolBarImageButton(#Common_Remove, ImageID(#IconRemove))
      ToolBarImageButton(#Common_Parend, ImageID(#IconFirst))
      ToolBarSeparator()
      ToolBarImageButton(#Start_Process, ImageID(#IconStart))
      ToolBarImageButton(#Stop_Process, ImageID(#IconStop))
      
      ToolBarToolTip(#Toolbar, #Project_New, "Project New")
      ToolBarToolTip(#Toolbar, #Project_Load, "Project Load")
      ToolBarToolTip(#Toolbar, #Project_Save, "Project Save")
      
      ToolBarToolTip(#Toolbar, #Common_Add, "Add Form")
      ToolBarToolTip(#Toolbar, #Common_Remove, "Remove Form")
      ToolBarToolTip(#Toolbar, #Common_Parend, "Selected Form as first")
      
      ToolBarToolTip(#Toolbar, #Start_Process, "Start Process")
      ToolBarToolTip(#Toolbar, #Stop_Process, "Stop Process")
      
    EndIf
      
    If CreateStatusBar(#StatusBar, WindowID(#Main))
      AddStatusBarField(#PB_Ignore)
    EndIf

    ListViewGadget(#Listview_Common, 0, 0, 800, 280)
    ListViewGadget(#Listview_Status, 0, 280, 800, 280)
    SplitterGadget(#Splitter, 0, 0, 800, 600, #Listview_Common, #Listview_Status)
  EndIf
    
EndProcedure

; ----

Procedure ResizeGadgetsMain()

  Protected x, y, dx, dy, menu, status, toolbar
  
  If IsGadget(#Splitter)
    menu = MenuHeight()
    status = StatusBarHeight(#StatusBar)
    toolbar = ToolBarHeight(#Toolbar)
    x = 0
    CompilerIf #PB_Compiler_OS = #PB_OS_Windows
      y = toolbar
    CompilerElse
      y = 0
    CompilerEndIf
    dx = WindowWidth(#Main)
    dy = WindowHeight(#Main) - menu - status - toolbar
    ResizeGadget(#Splitter, x, y, dx, dy)
  EndIf
  
EndProcedure

; ----
; IDE Options = PureBasic 5.71 LTS (MacOS X - x64)
; CursorPosition = 4
; Folding = -
; CompileSourceDirectory