﻿;-TOP
; Comment     : Include DataSection
; Author      : mk-soft
; Version     : 1.01
; Create      : 09.06.2019
; Update      : 

; *****************************************************************************

;- Data Valid Functions

DataSection
  ValidFunctions:
  ; Gadget
  Data.s "AddGadgetColumn"
  Data.s "AddGadgetItem"
  Data.s "ButtonGadget"
  Data.s "ButtonImageGadget"
  Data.s "CalendarGadget"
  Data.s "CanvasGadget"
  Data.s "CanvasOutput"
  Data.s "ChangeListIconGadgetDisplay"
  Data.s "CheckBoxGadget"
  Data.s "ClearGadgetItemList"
  Data.s "ClearGadgetItems"
  Data.s "CloseGadgetList"
  Data.s "ComboBoxGadget"
  Data.s "ContainerGadget"
  Data.s "CountGadgetItems"
  Data.s "DateGadget"
  Data.s "DisableGadget"
  Data.s "EditorGadget"
  Data.s "ExplorerComboGadget"
  Data.s "ExplorerListGadget"
  Data.s "ExplorerTreeGadget"
  Data.s "Frame3DGadget"
  Data.s "FrameGadget"
  Data.s "FreeGadget"
  Data.s "GadgetHeight"
  Data.s "GadgetID"
  Data.s "GadgetItemID"
  Data.s "GadgetToolTip"
  Data.s "GadgetType"
  Data.s "GadgetWidth"
  Data.s "GadgetX"
  Data.s "GadgetY"
  Data.s "GetActiveGadget"
  Data.s "GetGadgetAttribute"
  Data.s "GetGadgetColor"
  Data.s "GetGadgetData"
  Data.s "GetGadgetFont"
  Data.s "GetGadgetItemAttribute"
  Data.s "GetGadgetItemColor"
  Data.s "GetGadgetItemData"
  Data.s "GetGadgetItemState"
  Data.s "GetGadgetItemText"
  Data.s "GetGadgetState"
  Data.s "GetGadgetText"
  Data.s "HideGadget"
  Data.s "HyperLinkGadget"
  Data.s "IPAddressGadget"
  Data.s "ImageGadget"
  Data.s "IsGadget"
  Data.s "ListIconGadget"
  Data.s "ListViewGadget"
  Data.s "MDIGadget"
  Data.s "OpenGadgetList"
  Data.s "OpenGLGadget"
  Data.s "OptionGadget"
  Data.s "PanelGadget"
  Data.s "ProgressBarGadget"
  Data.s "RemoveGadgetColumn"
  Data.s "RemoveGadgetItem"
  Data.s "ResizeGadget"
  Data.s "ScrollAreaGadget"
  Data.s "ScrollBarGadget"
  Data.s "SetActiveGadget"
  Data.s "SetGadgetAttribute"
  Data.s "SetGadgetColor"
  Data.s "SetGadgetData"
  Data.s "SetGadgetFont"
  Data.s "SetGadgetItemAttribute"
  Data.s "SetGadgetItemColor"
  Data.s "SetGadgetItemData"
  Data.s "SetGadgetItemState"
  Data.s "SetGadgetItemText"
  Data.s "SetGadgetState"
  Data.s "SetGadgetText"
  Data.s "ShortcutGadget"
  Data.s "SpinGadget"
  Data.s "SplitterGadget"
  Data.s "StringGadget"
  Data.s "TextGadget"
  Data.s "TrackBarGadget"
  Data.s "TreeGadget"
  Data.s "WebGadget"
  Data.s "WebGadgetPath"
  ; Menu
  Data.s "CloseSubMenu"
  Data.s "CreateImageMenu"
  Data.s "CreateMenu"
  Data.s "CreatePopupImageMenu"
  Data.s "CreatePopupMenu"
  Data.s "DisableMenuItem"
  Data.s "DisplayPopupMenu"
  Data.s "FreeMenu"
  Data.s "GetMenuItemState"
  Data.s "GetMenuItemText"
  Data.s "GetMenuTitleText"
  Data.s "HideMenu"
  Data.s "IsMenu"
  Data.s "MenuBar"
  Data.s "MenuHeight"
  Data.s "MenuID"
  Data.s "MenuItem"
  Data.s "MenuTitle"
  Data.s "OpenSubMenu"
  Data.s "SetMenuItemState"
  Data.s "SetMenuItemText"
  Data.s "SetMenuTitleText"
  ; Toolbar
  Data.s "CreateToolBar"
  Data.s "DisableToolBarButton"
  Data.s "FreeToolBar"
  Data.s "GetToolBarButtonState"
  Data.s "IsToolBar"
  Data.s "SetToolBarButtonState"
  Data.s "ToolBarHeight"
  Data.s "ToolBarID"
  Data.s "ToolBarImageButton"
  Data.s "ToolBarSeparator"
  Data.s "ToolBarStandardButton"
  Data.s "ToolBarToolTip"
  ; Status
  Data.s "AddStatusBarField"
  Data.s "CreateStatusBar"
  Data.s "FreeStatusBar"
  Data.s "IsStatusBar"
  Data.s "StatusBarHeight"
  Data.s "StatusBarID"
  Data.s "StatusBarImage"
  Data.s "StatusBarProgress"
  Data.s "StatusBarText"
  ; Ende
  Data.s ""
EndDataSection

;- Data Valid Menu Functions

DataSection
  ValidMenus:
  Data.s "MenuItem"
  Data.s "ToolBarStandardButton"
  Data.s "ToolBarImageButton"
  Data.s ""
EndDataSection

;- Data Vaild Gadget Functions

DataSection
  ValidGadgets:
  ; Gadget
  Data.s "ButtonGadget"
  Data.s "ButtonImageGadget"
  Data.s "CalendarGadget"
  Data.s "CanvasGadget"
  Data.s "CheckBoxGadget"
  Data.s "ComboBoxGadget"
  Data.s "ContainerGadget"
  Data.s "DateGadget"
  Data.s "EditorGadget"
  Data.s "ExplorerComboGadget"
  Data.s "ExplorerListGadget"
  Data.s "ExplorerTreeGadget"
  Data.s "Frame3DGadget"
  Data.s "FrameGadget"
  Data.s "HyperLinkGadget"
  Data.s "IPAddressGadget"
  Data.s "ImageGadget"
  Data.s "ListIconGadget"
  Data.s "ListViewGadget"
  Data.s "MDIGadget"
  Data.s "OpenGLGadget"
  Data.s "OptionGadget"
  Data.s "PanelGadget"
  Data.s "ProgressBarGadget"
  Data.s "ScrollAreaGadget"
  Data.s "ScrollBarGadget"
  Data.s "ShortcutGadget"
  Data.s "SpinGadget"
  Data.s "SplitterGadget"
  Data.s "StringGadget"
  Data.s "TextGadget"
  Data.s "TrackBarGadget"
  Data.s "TreeGadget"
  Data.s "WebGadget"
  Data.s ""
 
EndDataSection

;- Include Tools

DataSection
  BeginToolsMyAppData:
  IncludeBinary "Imports/toolsMyAppData.pb"
  EndToolsMyAppData:
  Data.w 0
  
EndDataSection

;- Include Codes

DataSection
  CodeMainFile:
  IncludeBinary "Imports/codeMainFile.pbi"
  Data.w 0
  
  CodeMainEventFile:
  IncludeBinary "Imports/codeEventMainFile.pbi"
  Data.w 0
  
  CodeMainEventFileMacOS:
  IncludeBinary "Imports/codeEventMainFileMacOS.pbi"
  Data.w 0
  
EndDataSection
; IDE Options = PureBasic 5.70 LTS (MacOS X - x64)
; CursorPosition = 151
; FirstLine = 137
; EnableXP