﻿;-TOP

; ***************************************************************************
;
; Comment : EventDesigner - Event Form File
; Create  : 2019.09.08 16:21:17
; Update  : 
;
; ***************************************************************************

Procedure MyEventSizeWindow_UserGadget()
  CompilerIf Defined(ResizeGadgetsUserGadget, #PB_Procedure)
    ResizeGadgetsUserGadget()
  CompilerEndIf
EndProcedure

; ----

Procedure MyEventCloseWindow_UserGadget()
  CloseWindow(#UserGadget)
EndProcedure

; ----

Procedure MyEventGadget_UserGadget_Listview_Gadget()
  Protected row, temp.s, temp2.s
  
  Select EventType()
    Case #PB_EventType_LeftDoubleClick
      row = GetGadgetState(#UserGadget_Listview_Gadget)
      If row >= 0
        temp = GetGadgetItemText(#UserGadget_Listview_Gadget, row)
        temp2 = InputRequester("Edit Usergadget", "Gadget", temp)
        If temp2 <> "" And temp <> temp2
          SetGadgetItemText(#UserGadget_Listview_Gadget, row, temp2)
        EndIf
      EndIf
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_UserGadget_Button_Add()
  Protected temp.s
  
  Select EventType()
    Case #PB_EventType_LeftClick
      temp = InputRequester("New Usergadget", "Gadget", "")
      If temp <> ""
        AddGadgetItem(#UserGadget_Listview_Gadget, -1, temp)
      EndIf
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_UserGadget_Button_Del()
  Protected row
  
  Select EventType()
    Case #PB_EventType_LeftClick
      row = GetGadgetState(#UserGadget_Listview_Gadget)
      If row >= 0
        RemoveGadgetItem(#UserGadget_Listview_Gadget, row)
      EndIf
      
  EndSelect
  
EndProcedure

; ----

Procedure MyEventGadget_UserGadget_Button_Ok()
  Protected rows, row
  
  Select EventType()
    Case #PB_EventType_LeftClick
      ClearList(ValidUserGadgets())
      rows = CountGadgetItems(#UserGadget_Listview_Gadget)
      If rows
        rows - 1
        For row = 0 To rows
          AddElement(ValidUserGadgets())
          ValidUserGadgets() = GetGadgetItemText(#UserGadget_Listview_Gadget, row)
        Next
      EndIf
      SaveVaildUserGadgets()
      
      CloseWindow(#UserGadget)
      
  EndSelect
  
EndProcedure

; ----

; IDE Options = PureBasic 5.70 LTS (MacOS X - x64)
; CursorPosition = 24
; FirstLine = 15
; Folding = --
; EnableXP